<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XLdapFilter StructType
 * @subpackage Structs
 */
class XLdapFilter extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 4096
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $name;
    /**
     * The filter
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $filter;
    /**
     * Constructor method for XLdapFilter
     * @uses XLdapFilter::setName()
     * @uses XLdapFilter::setFilter()
     * @param string $name
     * @param string $filter
     */
    public function __construct($name = null, $filter = null)
    {
        $this
            ->setName($name)
            ->setFilter($filter);
    }
    /**
     * Get name value
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XLdapFilter
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get filter value
     * @return string
     */
    public function getFilter()
    {
        return $this->filter;
    }
    /**
     * Set filter value
     * @param string $filter
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XLdapFilter
     */
    public function setFilter($filter = null)
    {
        $this->filter = $filter;
        return $this;
    }
}
